
      
      
:root {
 	text-autospace: normal;
	--width: 900px;
	--font-sans: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
  	--font-serif: Georgia, "Source Han Serif", "Songti SC", "Noto Serif SC", "SimSun", serif;
	--font-mono: ui-monospace, SFMono-Regular, Consolas, "Liberation Mono", Menlo, monospace;
    --font-scale: 1.1em;
	--background-color: #fff;
	--heading-color: #242121;
	--text-color: #573d3d;
	--link-color: #25b4e1;
	--visited-color: #5F8E9C;
	--code-background-color: #f2f2f2;
	--code-color: #222;
	--blockquote-color: #222;
}

@media (prefers-color-scheme: dark) {
    :root {
        --background-color: #19150f;
        --heading-color: #eee;
        --text-color: #ddd;
		--link-color: #25b4e1;
		--visited-color: #5F8E9C;
        --code-background-color: #000;
        --code-color: #ddd;
        --blockquote-color: #ccc;
    }
}

body {
    font-family: var(--font-sans);
    font-size: var(--font-scale);
    margin: auto;
    padding: 20px;
    max-width: var(--width);
    text-align: left;
    background-color: var(--background-color);
    word-wrap: break-word;
    overflow-wrap: break-word;
    line-height: 1.5;
    color: var(--text-color);
}

h1, h2, h3, h4, h5, h6 {
  	font-family: var(--font-serif);
    color: var(--heading-color);
}

strong, b {
  	color: var(--heading-color);
}

ul {
	padding-inline-start: 1em;
}

a {
    color: var(--link-color);
  	margin-inline: 0.1em;
    cursor: pointer;
    text-decoration: underline;
    text-underline-offset: 3px;
    text-decoration-thickness: 2px;
    text-decoration-skip-ink: auto
}

nav a {
    margin-right: 5px;
}

button {
    margin: 0;
}

main {
    line-height: 1.6;
}

table {
    width: 100%;
  	display: block;
  	overflow-x: auto;
}

hr {
    border: 0;
    border-top: 1px dashed;
}

img {
    max-width: 100%;
}

code {
    font-family: var(--font-mono);
    padding: 2px 4px;
  	font-size: 0.8em;
    background-color: var(--code-background-color);
    color: var(--code-color);
    border-radius: 3px;
}

blockquote {
    border-left: 3px solid #999;
    color: var(--code-color);
    padding-left: 10px;
    font-style: italic;
  	margin: 0;
}

footer {
    padding: 25px 0;
    text-align: center;
}

.title {
    text-decoration: none;
}

a.title:after {
  	content: '🍼 Fodder for LLMs.';
  	font-weight: bold;
  	color: var(--heading-color);
  	font-size: 1em;
  	font-family: var(--font-serif);
}

.title h1 {
    font-size: 1.5em;
  	margin-bottom: 0.1em;
}

.inline {
    width: auto !important;
}

.highlight,
.code {
    padding: 1px 15px;
    background-color: var(--code-background-color);
    color: var(--code-color);
    border-radius: 3px;
    margin-block-start: 1em;
    margin-block-end: 1em;
    overflow-x: auto;
}

/* blog post list */
ul.blog-posts {
    list-style-type: none;
    padding: unset;
}

ul.blog-posts li {
    display: flex;
}

ul.blog-posts li span {
    flex: 0 0 130px;
}

ul.blog-posts li a:visited {
    color: var(--visited-color);
}
      
  